For the complete documentation index, see llms.txt. This page is also available as Markdown.

Deprecated

Deprecated

⚠️ Deploy Server

post

DEPRECATED. [Rate Limit: 40 req/s] Create a new deployment - containerized instance of an application version.

Authorizations
AuthorizationstringRequired
Header parameters
AcceptstringOptionalExample: */*
Content-TypestringRequiredExample: application/json
Body
app_namestringRequired

Application to deploy.

Example: my-game-server
version_namestringOptional

Version to deploy. If omitted, last created version will be deployed.

Example: 2024.01.30-16.23.00-UTC
ip_liststring[]Optional

Mutually exclusive with geo_ip_list. List of user IPs, determining server location choice.

Example: 162.254.141.66
tagsstring[]Optional

List of tags to mark your deployments for easy filtering.

Example: production
webhook_urlstringOptional

URL to receive simple HTTP notifications in your game backend when the new deployment becomes Ready.

Example: https://www.webhook.com/
commandstring · nullableOptional

Overrides container command for the deployment, use with caution.

Example: null | 'string'
argumentsstring · nullableOptional

Overrides container arguments for the deployment, use with caution.

Example: null | 'string'
Responses
200

Success

application/json
request_idstringRequired

ID of your deployment, also referred to as request ID.

Example: 61b1be8f54d9
request_dnsstringRequired

FQDN (URL) to connect to the deployment.

Example: 61b1be8f54d9.pr.edgegap.net
request_appstringRequired

Application which has been deployed.

Example: my-game-server
request_versionstringRequired

App version which has been deployed.

Example: 2024.01.30-16.23.00-UTC
request_user_countinteger · min: 1Required

Number of users included in the deployment request.

Example: 4
tagsstring[]Optional

List of tags to mark your deployments for easy filtering.

Example: production
container_log_storageanyOptional

Object storage to upload deployment logs.

post/v1/deploy
POST /v1/deploy HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 86

{
  "app_name": "my-game-server",
  "version_name": "production",
  "ip_list": [
    "162.254.141.66"
  ]
}
{
  "request_id": "61b1be8f54d9",
  "request_dns": "61b1be8f54d9.pr.edgegap.net",
  "request_app": "my-game-server",
  "request_version": "2024.01.30-16.23.00-UTC",
  "request_user_count": 4,
  "filters": [
    {
      "field": "city",
      "values": [
        "Montreal"
      ],
      "filter_type": "any"
    }
  ],
  "tags": [
    "production"
  ],
  "container_log_storage": null
}
Deprecated

⚠️ Updates properties of a deployment

patch

DEPRECATED. Updates properties of a deployment. Currently only the is_joinable_by_session property can be updated.

Authorizations
AuthorizationstringRequired
Path parameters
request_idstringRequired
Header parameters
AcceptstringOptionalExample: */*
Content-TypestringRequiredExample: application/json
Body
is_joinable_by_sessionbooleanOptional

Whether a session can connect to this deployment or not.

Responses
200

Success

application/json
is_joinable_by_sessionbooleanRequired

If the deployment is joinable by sessions

patch/v1/deployments/{request_id}
PATCH /v1/deployments/{request_id} HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 31

{
  "is_joinable_by_session": true
}
{
  "is_joinable_by_session": true
}

Last updated

Was this helpful?